Page MenuHomePhabricator

Jouncebot: Add functionality to change Nick from Jouncebot_ to Jouncebot automatically
Closed, ResolvedPublic

Description

I will be adding functionality to jouncebot to automaticly switch to its normal default nick when its able to incase of another bot instance isnt working and/or is disconnected from IRC properly

Details

Related Gerrit Patches:
wikimedia/bots/jouncebot : masterDon't keep adding _ to nick indefinitely
wikimedia/bots/jouncebot : masterAdding nick change functionality automatically

Event Timeline

Zppix created this task.Nov 17 2016, 12:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2016, 12:21 AM
Zppix moved this task from INBOX to Done on the Release-Engineering-Team board.Nov 17 2016, 2:16 PM

Change 322037 had a related patch set uploaded (by Zppix):
Adding nick change functionality automatically

https://gerrit.wikimedia.org/r/322037

Zppix triaged this task as Medium priority.Nov 17 2016, 9:40 PM
Zppix added a comment.Nov 23 2016, 9:55 PM

@bd808 any news on this change (has it been deployed or not)

Change 322037 merged by jenkins-bot:
Adding nick change functionality automatically

https://gerrit.wikimedia.org/r/322037

Change 324025 had a related patch set uploaded (by BryanDavis):
Don't keep adding _ to nick indefinitely

https://gerrit.wikimedia.org/r/324025

Mentioned in SAL (#wikimedia-operations) [2016-11-29T13:43:17Z] <hashar> updating jouncebot so it properly reclaim its nick ( T150916 https://gerrit.wikimedia.org/r/#/c/324025/ )

Mentioned in SAL (#wikimedia-labs) [2016-11-29T13:43:36Z] <hashar> updating jouncebot so it properly reclaim its nick ( T150916 https://gerrit.wikimedia.org/r/#/c/324025/ )

Change 324025 merged by jenkins-bot:
Don't keep adding _ to nick indefinitely

https://gerrit.wikimedia.org/r/324025

Zppix closed this task as Resolved.Dec 14 2016, 6:29 PM
Restricted Application added a project: User-Zppix. · View Herald TranscriptMar 5 2018, 9:07 PM